低危 systemd 至 242 login/logind-button.c button_open Command 资源释放漏洞

CVE编号

CVE-2019-20386

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-01-21
漏洞描述
在243之前,在systemd的login/login -button.c中的button_open中发现了一个问题。当执行udevadm触发器命令时,可能会发生内存泄漏。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/systemd/systemd/commit/b2774a3ae692113e1f47a336a6c09bac9cfb49ad
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop systemd * Up to
(excluding)
243
运行在以下环境
系统 alibaba_cloud_linux_2.1903 systemd * Up to
(excluding)
219-78.1.al7
运行在以下环境
系统 amazon_2 systemd * Up to
(excluding)
219-78.amzn2.0.14
运行在以下环境
系统 centos_8 systemd * Up to
(excluding)
239-40.el8
运行在以下环境
系统 debian_10 systemd * Up to
(including)
241-7~deb10u8
运行在以下环境
系统 debian_9 systemd * Up to
(including)
232-25+deb9u12
运行在以下环境
系统 fedora_30 systemd * Up to
(excluding)
241-14.git18dd3fb.fc30
运行在以下环境
系统 opensuse_Leap_15.1 systemd * Up to
(excluding)
234-lp151.26.7.1
运行在以下环境
系统 oracle_7 systemd * Up to
(excluding)
219-78.0.1.el7
运行在以下环境
系统 oracle_8 systemd * Up to
(excluding)
239-40.0.1.el8
运行在以下环境
系统 redhat_7 libgudev1 * Up to
(excluding)
0:219-78.el7
运行在以下环境
系统 redhat_8 systemd * Up to
(excluding)
239-40.el8
运行在以下环境
系统 suse_12_SP4 systemd * Up to
(excluding)
228-150.86.3
运行在以下环境
系统 suse_12_SP5 systemd * Up to
(excluding)
228-157.12.5
运行在以下环境
系统 ubuntu_16.04 systemd * Up to
(excluding)
229-4ubuntu21.27
运行在以下环境
系统 ubuntu_16.04.7_lts systemd * Up to
(excluding)
229-4ubuntu21.27
运行在以下环境
系统 ubuntu_18.04 systemd * Up to
(excluding)
237-3ubuntu10.38
运行在以下环境
系统 ubuntu_18.04.5_lts systemd * Up to
(excluding)
237-3ubuntu10.38
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-401 在移除最后引用时对内存的释放不恰当(内存泄露)
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况